לדלג לתוכן

שיחת מדיה ויקי:Common.css – הבדלי גרסאות

הוספת נושא
מתוך חב"דפדיה, אנציקלופדיה חב"דית חופשית
תגובה אחרונה: 21 בספטמבר 2025 מאת שיע.ק בנושא הוספה
מ. רובין (שיחה | תרומות)
הוספה: פסקה חדשה
תגית: נושא חדש
 
שיע.ק (שיחה | תרומות)
הוספה: תגובה
 
(7 גרסאות ביניים של 3 משתמשים אינן מוצגות)
שורה 15: שורה 15:
     line-height: 1.4em;
     line-height: 1.4em;
}</code> [[משתמש:מ. רובין|מ. רובין]] <small class="plainlinks">([[שיחת משתמש:מ. רובין|שיחה]] | [[מיוחד:תרומות/מ.רובין|תרומות]])</small> 20:05, 28 באוגוסט 2025 (IDT)
}</code> [[משתמש:מ. רובין|מ. רובין]] <small class="plainlinks">([[שיחת משתמש:מ. רובין|שיחה]] | [[מיוחד:תרומות/מ.רובין|תרומות]])</small> 20:05, 28 באוגוסט 2025 (IDT)
:הוספתי, תכתוב בבקשה אם עובד. [[משתמש:שיע.ק|שיע]] • [[שיחת משתמש:שיע.ק|שיחה]] ז' באלול ה'תשפ"ה 01:57, 31 באוגוסט 2025 (IDT)
::לא, אולי כדאי שתייבא מוויקיפדיה את כל הדף, יש כאן המון שגיאות. [[משתמש:מ. רובין|מ. רובין]] <small class="plainlinks">([[שיחת משתמש:מ. רובין|שיחה]] | [[מיוחד:תרומות/מ.רובין|תרומות]])</small> 09:24, 31 באוגוסט 2025 (IDT)
:::@[[משתמש:מ.רובין|מ.רובין]] לא נראה לי רעיון מוצלח. יש בדף הרבה התאמות לאתר שלנו, נפתור בעיה אחת וניצור חלילה הרבה אחרות. [[משתמש:שיע.ק|שיע]] • [[שיחת משתמש:שיע.ק|שיחה]] כ"ח באלול ה'תשפ"ה 22:26, 21 בספטמבר 2025 (IDT)
==עצירת קובץ שמע כאשר קובץ אחר מופעל==
שיע, אשמח באם תוכל להוסיף גם קוד זה:
document.addEventListener("play", function(e){
    if(e.target.tagName === "AUDIO"){
        var audios = document.getElementsByTagName("audio");
        for(var i = 0; i < audios.length; i++){
            if(audios[i] !== e.target){
                audios[i].pause();
            }
        }
    }
}, true);
. בברכה, [[משתמש:יוסף בן מלמד|יוסף בן מלמד]] ~ [[שיחת משתמש:יוסף בן מלמד|יחי המלך המשיח!]] ~ (22:53, ד' באלול, ה'תשפ"ה)
:הוספתי, אך הוא כותב שיש בקוד שגיאה. אני מתלבט אם להסיר. [[משתמש:שיע.ק|שיע]] • [[שיחת משתמש:שיע.ק|שיחה]] ז' באלול ה'תשפ"ה 01:57, 31 באוגוסט 2025 (IDT)
:עובד, תודה. למה יש שגיאה? בברכה, [[משתמש:יוסף בן מלמד|יוסף בן מלמד]] ~ [[שיחת משתמש:יוסף בן מלמד|יחי המלך המשיח!]] ~ (19:37, ח' באלול, ה'תשפ"ה) 19:37, 1 בספטמבר 2025 (IDT)

גרסה אחרונה מ־21:26, 21 בספטמבר 2025

הוספה[עריכת קוד מקור]

@שיע.ק אתה יכול להוסיף את /* ‫עיצוב infobox מוויקיפדיה באנגלית‬ */ /* @noflip */.infobox {

   float: left;
   clear: left;	
   border: 1px solid #aaaaaa;
   background-color: #f9f9f9;
   color: black;
   margin-bottom: 0.5em;
   margin-right: 1em;
   padding: 0.2em;
   font-size: 0.9em;
   line-height: 1.4em;

} מ. רובין (שיחה | תרומות) 20:05, 28 באוגוסט 2025 (IDT)תגובה

הוספתי, תכתוב בבקשה אם עובד. שיעשיחה ז' באלול ה'תשפ"ה 01:57, 31 באוגוסט 2025 (IDT)תגובה
לא, אולי כדאי שתייבא מוויקיפדיה את כל הדף, יש כאן המון שגיאות. מ. רובין (שיחה | תרומות) 09:24, 31 באוגוסט 2025 (IDT)תגובה
@מ.רובין לא נראה לי רעיון מוצלח. יש בדף הרבה התאמות לאתר שלנו, נפתור בעיה אחת וניצור חלילה הרבה אחרות. שיעשיחה כ"ח באלול ה'תשפ"ה 22:26, 21 בספטמבר 2025 (IDT)תגובה

עצירת קובץ שמע כאשר קובץ אחר מופעל[עריכת קוד מקור]

שיע, אשמח באם תוכל להוסיף גם קוד זה:

document.addEventListener("play", function(e){

   if(e.target.tagName === "AUDIO"){
       var audios = document.getElementsByTagName("audio");
       for(var i = 0; i < audios.length; i++){
           if(audios[i] !== e.target){
               audios[i].pause();
           }
       }
   }

}, true);

. בברכה, יוסף בן מלמד ~ יחי המלך המשיח! ~ (22:53, ד' באלול, ה'תשפ"ה)

הוספתי, אך הוא כותב שיש בקוד שגיאה. אני מתלבט אם להסיר. שיעשיחה ז' באלול ה'תשפ"ה 01:57, 31 באוגוסט 2025 (IDT)תגובה
עובד, תודה. למה יש שגיאה? בברכה, יוסף בן מלמד ~ יחי המלך המשיח! ~ (19:37, ח' באלול, ה'תשפ"ה) 19:37, 1 בספטמבר 2025 (IDT)תגובה